# Uses of Class
org.eclipse.net4j.signal.security.AuthenticatingSignalProtocol

Packages that use AuthenticatingSignalProtocol
Package
Description
org.eclipse.net4j.signal.security
Reusable implementation of a server-to-client authentication signal and related API.

## Uses of AuthenticatingSignalProtocol in org.eclipse.net4j.signal.security

Methods in org.eclipse.net4j.signal.security that return AuthenticatingSignalProtocol
Modifier and Type
Method
Description
`AuthenticatingSignalProtocol<?>`
AuthenticationIndication.`getProtocol()`
Constructors in org.eclipse.net4j.signal.security with parameters of type AuthenticatingSignalProtocol
Modifier
Constructor
Description
``
`AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, short signalID)`
``
`AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, short id, String name)`
``
`AuthenticationIndication(AuthenticatingSignalProtocol<?> protocol, Enum<?> literal)`